@charset "UTF-8";

.pane-main {
  width: 960px;
  margin-top: 72px;
}

/* .pane-main以下に限定してほかに影響が出ないように */
.pane-main {
  textarea,
  input[type="text"],
  input[type="tel"],
  input[type="email"],
  input[type="search"],
  input[type="password"],
  input[type="url"],
  input[type="number"],
  select {
    border: 1px solid #CCC;
    transition: 0.1s;
    padding: 9px 10px;
    width: 100%;
  }
  input[type="text"]:hover,
  input[type="tel"]:hover,
  input[type="email"]:hover,
  input[type="search"]:hover,
  input[type="password"]:hover,
  input[type="url"]:hover,
  input[type="number"]:hover,
  select:hover {
    border: 1px solid #111;
  }
  textarea:hover {
    border: 1px solid #111;
  }
  input[type="text"]:focus,
  input[type="tel"]:focus,
  input[type="email"]:focus,
  input[type="search"]:focus,
  input[type="password"]:focus,
  input[type="url"]:focus,
  input[type="number"]:focus,
  select:focus {
  	outline: none;
    border-bottom-width: 1px;
  }
  input::placeholder {
    font-size: 12px;
    color: #666666;
  }
}
.block-questionnaire--tel-item-message {
  display: none
}

/* 全体をflexboxにして横幅指定で表示を変えられるように */
.block-questionnaire--form {
  display: flex;
  flex-wrap: wrap;
}
.block-questionnaire--item {
  border-bottom: 1px solid #CCCCCC;
  align-items: center;
  margin-bottom: 0;
  padding: 12px 0 12px;
}
.block-questionnaire--item-header {
  width: 280px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 0;
  font-weight: 500;
}
.block-questionnaire--box-content {
  width: calc(100% - 290px);
  margin-left: 10px;
  min-height: auto;
}
.legend span.required {
  margin-left: 10px;
}
.required:after {
  color: #fff;
  background-color: #BB0611;
  padding: 3px 8px;
  display: initial;
  font-weight: bold;
}
.form_optional:after {
  content:"任意";
  color: #fff;
  font-size: 12px;
  font-weight: bold;
  padding: 3px 8px;
  border-radius: 0;
  vertical-align: text-bottom;
  background-color: rgb(153 153 153 / 60%);
}
/* フォームはデフォルト左寄せ */
.block-questionnaire--form .form-group .form-control {
  margin-left:0;
  width: 280px;
}
.block-questionnaire--box-content select {
  width: 280px;
}
p.form-error {
  padding-left: 0;
  width: max-content;
  margin-top: 10px;
  margin-bottom: 0;
  font-size: 14px;
  line-height: 16px;
}
p.form-error::after {
  content: none;
}
p.form-error::before {
  content: "⚠︎";
  font-size: 20px;
  position: relative;
  top: 2px
}
.form-error + br {
  display: none
}
.block-questionnaire--item {
  align-items: flex-start;
}
.block-questionnaire--item .block-questionnaire--item-header {
  padding-top: 13px;
}
.block-questionnaire--box-content textarea,
.block-questionnaire--box-content input[type="text"] {
  width: 420px;
}
.block-questionnaire--box-content:has(input[type="checkbox"]) {
  padding-top: 11px;
}

/* ラジオボタン（jsで要素変更後） */
.block-questionnaire--box-content:has(label.radio) {
  display: flex;
  align-items: center;
  gap: 10px;
  flex-wrap: wrap;
}
.block-questionnaire--box-content:has(.form-control label.radio) {
  display: block;
}
.block-questionnaire--box-content:has( label.radio) .form-control {
  display: flex;
  align-items: center;
  gap: 10px;
  flex-wrap: wrap;
  width: 100%;
}
label.radio {
  border: 1px solid #CCC;
  padding: 9px 6px 9px 18px;
  margin-right: 0;
  width: calc((100% - 30px) /4);
}

label.radio input[type="radio"] {
  margin-right: 12px;
  border-color: #CCC;
}
label.radio input[type="radio"]:checked {
  border: #CCC 1px solid;
  background: #FFF;
}
label.radio  input[type="radio"]:checked:before {
  background-color: #000;
  width: 8px;
  height: 8px;
  left: 3px;
  top: 3px;
}
.block-questionnaire--box-content:has(label.radio) p.form-error {
  width: 100%;
  margin-top:0;
}

/* ボタン */
.action-buttons {
  margin-top: 45px;
}


/* 住所 */
.block-questionnaire--item:has(.block-questionnaire--address-items) {
  align-items: flex-start;
}
.block-questionnaire--item:has(.block-questionnaire--address-items) .block-questionnaire--item-header {
  padding-top: 13px;
}
.block-questionnaire--address-items {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
}
.fieldset.block-questionnaire--address-items .form-group.block-questionnaire--list-item {
  display: block;
}
.fieldset.block-questionnaire--address-items .form-group.block-questionnaire--list-item:nth-child(1) {
  width: 280px;
  display: flex;
}
.fieldset.block-questionnaire--address-items .form-group.block-questionnaire--list-item:nth-child(1) .form-label {
  display: block;
  width: 90px;
  text-align: center;
}
.fieldset.block-questionnaire--address-items .form-group.block-questionnaire--list-item:nth-child(1) .form-label .control-label {
  font-weight: 500;
}
.fieldset.block-questionnaire--address-items .form-group.block-questionnaire--list-item:nth-child(1) .form-control,
.fieldset.block-questionnaire--address-items .form-group.block-questionnaire--list-item:nth-child(1) .block-questionnaire--zip {
  width: 190px !important;
}
.fieldset.block-questionnaire--address-items .form-group.block-questionnaire--list-item:nth-child(2),
.fieldset.block-questionnaire--address-items .form-group.block-questionnaire--list-item:nth-child(2) .form-control,
.fieldset.block-questionnaire--address-items .form-group.block-questionnaire--list-item:nth-child(2) .form-control select {
  width: 190px;
}

.fieldset.block-questionnaire--address-items .form-group.block-questionnaire--list-item:nth-child(3),
.fieldset.block-questionnaire--address-items .form-group.block-questionnaire--list-item:nth-child(4),
.fieldset.block-questionnaire--address-items .form-group.block-questionnaire--list-item:nth-child(5),
.fieldset.block-questionnaire--address-items .form-group.block-questionnaire--list-item:nth-child(3) .form-control,
.fieldset.block-questionnaire--address-items .form-group.block-questionnaire--list-item:nth-child(4) .form-control,
.fieldset.block-questionnaire--address-items .form-group.block-questionnaire--list-item:nth-child(5) .form-control {
  width: 280px;
}


/* 確認画面 */
.block-questionnaire--confirmation-item-list {
  .constraint {
    display: none;
  }
  .form-group {
    align-items: center;
    border-bottom: 1px solid #CCC;
    margin-bottom: 0;
    padding: 26px 0 21px;
  }
  .form-group:last-child {
    border-bottom: 1px solid #CCC;
  }
  .form-label {
    width: 280px;
    padding: 0;
  }
  .form-label label {
    font-weight: 500;
  }
  .form-control {
    width: calc(100% - 290px);
    margin-left: 10px;
  }
}

.block-questionnaire-completed--message {
  font-size: 16px;
  text-align: center;
}
.ui-datepicker .ui-datepicker-prev, .ui-datepicker .ui-datepicker-next {
  cursor: pointer;
}
.ui-datepicker .ui-datepicker-prev-hover,.ui-datepicker .ui-datepicker-next-hover {
  top: 2px !important;
  opacity: 0.8;
}
.ui-datepicker .ui-datepicker-prev-hover {
  left: 2px !important;
}
.ui-datepicker .ui-datepicker-next-hover {
  right: 2px !important;
}

.ui-datepicker .ui-datepicker-prev span {
  background: url(/img/usr/form/icon_form_prev.png);
  background-size: cover;
}
.ui-datepicker .ui-datepicker-next span {
  background: url(/img/usr/form/icon_form_next.png);
  background-size: cover;
}
.ui-state-default,.ui-widget-content .ui-state-default,.ui-widget-header .ui-state-default,.ui-button,html .ui-button.ui-state-disabled:hover,html .ui-button.ui-state-disabled:active {
  border: none !important;
  background: transparent !important;
}
.ui-state-hover,.ui-widget-content .ui-state-hover,.ui-widget-header .ui-state-hover,.ui-state-focus,.ui-widget-content .ui-state-focus,.ui-widget-header .ui-state-focus,.ui-button:hover,.ui-button:focus {
  border: none !important;
  background: transparent !important;
}